# PetscViewerASCIISynchronizedPrintf

Prints synchronized output to the specified file from several processors. Output of the first processor is followed by that of the second, etc.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscViewerASCIISynchronizedPrintf(PetscViewer viewer,const char format[],...)

Not Collective, must call collective PetscViewerFlush() to get the results out

### Input Parameters

| viewer | - the ASCII PetscViewer
| format | - the usual printf() format string

### Fortran Note

Can only print a single character* string

### See Also

PetscSynchronizedPrintf(), PetscSynchronizedFlush(), PetscFPrintf(),
PetscFOpen(), PetscViewerFlush(), PetscViewerASCIIGetPointer(), PetscViewerDestroy(), PetscViewerASCIIOpen(), PetscViewerASCIIPrintf()

Level:intermediate
Location: src/sys/viewer/impls/ascii/filev.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages